This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 349191 - Review Request: malaga-suomi-voikko - A description of Finnish morphology written in Malaga (Voikko edition)
Review Request: malaga-suomi-voikko - A description of Finnish morphology wri...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 346121
Blocks: 350781
  Show dependency treegraph
 
Reported: 2007-10-23 14:17 EDT by Ville-Pekka Vainio
Modified: 2012-09-18 10:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 14:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ville-Pekka Vainio 2007-10-23 14:17:30 EDT
Spec URL: http://vpv.fedorapeople.org/packages/malaga-suomi-voikko.spec
SRPM URL: http://vpv.fedorapeople.org/packages/malaga-suomi-voikko-0.7.6-0.1.fc7.src.rpm
Description:
A description of Finnish morphology written in Malaga. This version is modified
to support the Voikko spellchecker/hyphenator and is not compatible with the
Sukija text indexer.


I've named the package malaga-suomi-voikko, because it extends Malaga (see Bug #346121) with Finnish and it is a modified version to support the F/OSS Finnish spell checker Voikko, which I intend to package also. This way malaga-suomi (without Voikko support) could be packaged separately if needed.

Rpmlint outputs these errors:
malaga-suomi-voikko.i386: E: no-binary
malaga-suomi-voikko.i386: E: only-non-binary-in-usr-lib

I have explained these in the comments of the spec file, copied here as well:
Files differ on big-endian and small-endian archs, and they have different
names (*_l vs *_b). This is the reason we use %{_libdir} instead of
%{_datadir} and won't noarch the package.

This is exactly what the Voikko developers asked me to do, they think that using /usr/share would be wrong, because of the issue mentioned above.
Comment 1 Mamoru TASAKA 2007-10-31 13:58:49 EDT
This is just a initial comment:
- malaga requires libmalaga, so "(Build)Requires: libmalaga" is actally
  not needed.

- For %files entry
------------------------------------------------------------
%files
%{_libdir}/voikko
%{_libdir}/voikko/voikko-fi_FI*_l
%{_libdir}/voikko/voikko-fi_FI.pro
-------------------------------------------------------------
  The entry "%_libdir/voikko" (which is a directory) means the
  directory %_libdir/voikko itself and all files/directories/etc
  under this directory, so the following two entries are not needed.

- Rebuild fails on ppc and ppc64.
For ppc:
http://koji.fedoraproject.org/koji/taskinfo?taskID=222539
For ppc64:
ttp://koji.fedoraproject.org/koji/taskinfo?taskID=222476
Comment 2 Ville-Pekka Vainio 2007-10-31 16:58:37 EDT
New SPEC: http://vpv.fedorapeople.org/packages/malaga-suomi-voikko.spec
New SRPM:
http://vpv.fedorapeople.org/packages/malaga-suomi-voikko-0.7.6-0.2.fc7.src.rpm

(In reply to comment #1)
> - malaga requires libmalaga, so "(Build)Requires: libmalaga" is actally
>   not needed.

Fixed.

>   The entry "%_libdir/voikko" (which is a directory) means the
>   directory %_libdir/voikko itself and all files/directories/etc
>   under this directory, so the following two entries are not needed.

Fixed, this also fixes the ppc and ppc64 build failures, I tested the new SRPM
myself in koji.
Comment 3 Mamoru TASAKA 2007-11-01 07:37:47 EDT
----------------------------------------------------------------
   This package (malaga-suomi-voikko) is APPROVED by me
----------------------------------------------------------------
Comment 4 Ville-Pekka Vainio 2007-11-01 08:01:36 EDT
New Package CVS Request
=======================
Package Name: malaga-suomi-voikko
Short Description: A description of Finnish morphology written in Malaga (Voikko
edition)
Owners: vpv 
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-11-01 13:32:46 EDT
cvs done.
Comment 6 Ville-Pekka Vainio 2007-11-01 14:01:06 EDT
Package built for devel, see
http://koji.fedoraproject.org/koji/taskinfo?taskID=223475

I also tried to build it for F-7 and F-8, which didn't succeed, because they
don't have Malaga yet. I assume I need to wait for the updates to be pushed
before building? In any case, I'm closing this bug.
Comment 7 Mamoru TASAKA 2007-11-01 14:19:04 EDT
* you can ask rel-eng team to add malaga to buildroot so that
  you can rebuild this package on F-7 or F-8.

  When mailing to rel-eng team, please show them the 
  EVR (epoch-version-release) of malaga to be added to buildroot.

Note You need to log in before you can comment on or make changes to this bug.